import os

from flask import make_response
from flask.views import View

class Authenticate(View):
    """
    Always returns a success code.
    """
    # pylint: disable=arguments-differ
    methods = ['GET']

    def dispatch_request(self, user: str):
        # Always return a success code, since authentication is already handled.
        return make_response()
